# ***************************************************************************
# Copyright 2017 VMware, Inc.  All rights reserved. VMware Confidential.
# ***************************************************************************
# $Id$
# $DateTime$
# $Change$
# $Author$ Jia Cheng
# ***************************************************************************

import json
import nsx_logging

from cli.commands.cli_command_provider import CliCommandProvider
from cli.commands.lcp_common.cfgagent.client import get_cfgagent_cli_output
from cli.utils.error_code import ErrorCode as ec

lg = nsx_logging.getLogger("cli.commands.lcp_common.cfgagent.bfd")


class GetCfgagentBFDTable(CliCommandProvider):
    def __call__(self, cmd_list):
        try:
            response = get_cfgagent_cli_output("cfgagent/bfd")
            if not response:
                  return "CFGAGENT_HOST_BFD_TABLE_EMPTY"
            output = json.loads(response)
        except (TypeError, ValueError) as err:
            lg.error("load response error: %s", err,
                     error_code=ec.INTERNAL_ERROR)
            return "CFGAGENT_HOST_BFD_TABLE_FAILED"

        return "OK\n\n%s" % json.dumps(output)