# Copyright (C) 2019-2021 VMware, Inc. All rights reserved.
# -- VMware Confidential
from sha import config

from sha.core.channel.provider.mpa_provider import MpaProvider
from sha.core.channel.provider.wf_provider import WfProvider
from sha.core.channel.provider.alarm_provider import AlarmProvider
from sha.core.channel.provider.filedump_provider import FiledumpProvider

__all__ = [
    'MpaProvider',
    'AlarmProvider',
    'WfProvider',
    'FiledumpProvider',
]

# import TSDB provider on linux
if config.SYSTEM == config.PLATFORM_LINUX:
    from sha.core.channel.provider.tsdb_provider import TsdbProvider

    __all__.extend(['TsdbProvider'])
